﻿using C1.Win.FlexReport;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace FlexReport_Diagonal
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            Load += Form1_Load;
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            c1FlexReport1.Sections.Header.Height = 1470;
            c1FlexReport1.Sections.Header.Visible = true;
            c1FlexReport1.Sections.Header.Border.Style = C1.Win.C1Document.DashStyle.Solid;
            c1FlexReport1.Sections.Header.Border.Width = 10;
            
            
            //add the background image
            ImageField imgFld = new ImageField();
            imgFld.Picture = Image.FromFile("sample.png");
            imgFld.PictureScale = PictureScaleEnum.Scale;
            imgFld.Height = 1440;
            imgFld.ZOrder = 0;
            imgFld.Width = 2040;
            c1FlexReport1.Sections.Header.Fields.Add(imgFld);

            //add text
            TextField txtFld = new TextField();
            txtFld.Height = 1080;
            txtFld.Width = 1920;
            txtFld.TextAngle = 38;
            txtFld.ZOrder = 1;
            txtFld.Text = "A/C Payee Only";
            c1FlexReport1.Sections.Header.Fields.Add(txtFld);


            c1FlexReport1.Sections.PageHeader.Height = 1390;
            c1FlexReport1.Sections.PageHeader.Visible = true;
            c1FlexReport1.Sections.PageHeader.Border.Style = C1.Win.C1Document.DashStyle.Solid;
            c1FlexReport1.Sections.PageHeader.Border.Width = 10;

            TextField line1Fld = new TextField();
            line1Fld.Text = "______";
            line1Fld.TextAngle = 30;
            line1Fld.Height = 525;
            line1Fld.ZOrder = 0;
            line1Fld.Width = 2700;
            line1Fld.Align = FieldAlignEnum.CenterTop;
            c1FlexReport1.Sections.PageHeader.Fields.Add(line1Fld);

            TextField line2Fld = new TextField();
            line2Fld.Text = "__________________";
            line2Fld.TextAngle = 30;
            line2Fld.ZOrder = 0;
            line2Fld.Height = 1170;
            line2Fld.Width = 2040;
            line2Fld.Align = FieldAlignEnum.CenterTop;
            c1FlexReport1.Sections.PageHeader.Fields.Add(line2Fld);


            TextField txtField = new TextField();
            txtField.Text = "A/C Payee only";
            txtField.TextAngle = 30;
            txtField.ZOrder = 1;
            txtField.Height = 855;
            txtField.Width = 1650;
            c1FlexReport1.Sections.PageHeader.Fields.Add(txtField);


            c1FlexViewer1.DocumentSource = c1FlexReport1;
        }
    }
}
